program plot

! objetivo: gerar um gráfico com o programa "Wgnuplot" 
!           durante a execução do programa

! data de criação:   4 Fev 02

! última alteração: 13 Fev 02

! autor: Carlos Henrique Marchi

! -----------------------------------------------

! inclusão de módulos do Fortran90 e próprios

use msflib ! para encerramento do programa

use data_hora

! -----------------------------------------------

! definição das variáveis

logical   :: dos  ! acessa prompt dos

integer*4 :: fim  ! fecha framewindow

!-------------------------------------------------

  ! abre o arquivo "dados.txt" com o programa "notepad"
  ! para ver o arquivo de dados a ser plotado

  dos = systemqq( 'notepad dados.txt' )  

! -----------------------------------------------

  ! obtém a data e a hora do sistema e a inclui
  ! no título do gráfico através do arquivo "dados.gnu"

  call data_e_hora ( "dados.gnu" )

! -----------------------------------------------

  ! abre o arquivo "dados.gnu" com o programa "notepad"
  ! para ver o arquivo de comandos a usar no Wgnuplot

  dos = systemqq( 'notepad dados.gnu' )  

! -----------------------------------------------

  ! usa o programa "Wgnuplot" para executar o arquivo "dados.gnu" 
  ! e gerar um gráfico com o conteúdo do arquivo "dados.txt"

  dos = systemqq( 'Wgnuplot dados.gnu' )  

! -----------------------------------------------

  ! fecha a janela do programa
  fim = setexitqq(qwin$exitnopersist) 

end
